import { AbstractObjectTransactionHander } from "./AbstractObjectTransactionHander";
export class SetObjectPropertyDescriptionTransactionHandler extends AbstractObjectTransactionHander {
    applyTransaction(transaction) {
        const property = this.getObjectPropertyOrThrow(transaction.objectId, transaction.propertyId);
        property.description =
            transaction.newPropertyDescription != null && transaction.newPropertyDescription.length > 0
                ? transaction.newPropertyDescription
                : undefined;
    }
}
